Stats

Get domain stats

GET
/v3/aftermarket/customers/{customerId}/stats/{domain}

Get time-series stats data about opportunities and views for a domain name.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

domain*string

An aname is a DNS domain name using only LDH characters (lower-case ASCII letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case of an internationalized domain name (IDN).

Examples:

  • example.org
  • xn--exmple-cua.de

Invalid Examples:

  • PartialCapExample.com
    • mixed case, should be lowercased
  • exämple.de
    • this is an IDN and should be IDNA-encoded
Match^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$
Formataname
customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Query Parameters

startDate?string

The DateTime representing the start date for your time series data. This date will be included. Date in UTC. Default startDate of 30 days before time of request if days is not specified, otherwise startDate will be set to days before time of request.

Formatdate-time
days?integer

The duration of the range. The result will include at most this many days. Cannot be more than 366 days.

Range1 <= value <= 366
Default30

Header Parameters

X-Request-Id?string

A unique identifier for the request

Response Body

The requested domain stats.

application/json
  1. response
stats?array<>
Example Request
curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/stats/string?startDate=2024-01-01T00%3A00%3A00Z'
Example Response
{  "stats": [    {      "date": "2025-01-01T00:00:00Z",      "leads": 5,      "views": 25    }  ]}